/**
 * Motherboard class, subclass of HardwareComponent
 */
public class Motherboard extends HardwareComponent {

	private String information;

	/**
	 * Empty constructor
	 */
	public Motherboard() {
	}

	/**
	 * Constructor that makes object of the class by using manu, model, price
	 * and feat
	 * 
	 * @param newManufactor
	 * @param newModel
	 * @param newPrice
	 * @param newFeat
	 */
	public Motherboard(String newManufactor, String newModel, double newPrice,
			String newFeat) {
		manufactor = newManufactor;
		model = newModel;
		price = newPrice;
		information = newFeat;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see storage.HardwareComponent#description() Overloaded function of
	 *      superclass HardwareComponent
	 */
	protected String description() {
		return "Manufactor:" + manufactor + "\nModel: " + model + "\nPrice:"
				+ price + "\nInformation:" + information + "\n";
	}

	/* Get-metoder */
	protected String getInformation() {
		return information;
	}

	/* Set-metoder */
	protected void setInformation(String newInformation) {
		information = newInformation;
	}
}