/*
 * Class for Ram objects. Subklasse af HardwareComponent
 *  
 */
public class Ram extends HardwareComponent {

	private String size;

	/**
	 * Empty constructor
	 */
	public Ram() {
	}

	/**
	 * Constructor that makes object of the class by using manu, model, price
	 * and feat
	 * 
	 * @param newManufactor
	 * @param newModel
	 * @param newPrice
	 * @param newFeat
	 */
	public Ram(String newManufactor, String newModel, double newPrice,
			String newFeat) {
		manufactor = newManufactor;
		model = newModel;
		price = newPrice;
		size = newFeat;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see storage.HarewareComponent#description() Overloaded function from
	 *      superclass HardwareComponent
	 */
	protected String description() {
		return "Manufactor:" + manufactor + "\nModel: " + model + "\nPrice:"
				+ price + "\nSize:" + size + "\n";
	}

	/* Get-methods */
	protected String getSize() {
		return size;
	}

	/* Set-methods */
	protected void setSize(String newSize) {
		size = newSize;
	}

}