/**
 * CPU class, subclass of HardwareComponent
 */
public class CPU extends HardwareComponent {

	private String frequency;

	/**
	 * Empty constructor
	 */
	public CPU() {
	}

	/**
	 * Constructor that makes object of the class by using manu, model, price
	 * and feat
	 * 
	 * @param newManufactor
	 * @param newModel
	 * @param newPrice
	 * @param newFeat
	 */
	public CPU(String newManufactor, String newModel, double newPrice,
			String newFeat) {
		manufactor = newManufactor;
		model = newModel;
		price = newPrice;
		frequency = newFeat;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see storage.HarewareComponent#description() Overload function from
	 *      superclass HardwareComponent
	 */
	protected String description() {
		return ";anufactor:" + manufactor + "\nModel: " + model + "\nPrice:"
				+ price + "\n";
	}

	/** Get-methods */
	protected String getFrequency() {
		return frequency;
	}

	/** Set-methods */
	protected void setFeat(String newFeat) {
		frequency = newFeat;
	}
}